# DataExchange
TKVRML
VrmlData

# VrmlData_TextureCoordinate Class Reference

`#include <VrmlData_TextureCoordinate.hxx>`

Inheritance diagram for VrmlData_TextureCoordinate:

[legend]

## Public Member Functions

| VrmlData_TextureCoordinate ()
| VrmlData_TextureCoordinate (const VrmlData_Scene &theScene, const char *theName, const size_t nPoints=0, const gp_XY *arrPoints=0L)
Standard_EXPORT Standard_Boolean | AllocateValues (const Standard_Size theLength)
size_t | Length ()
const gp_XY * | Points ()
void | SetPoints (const size_t nPoints, const gp_XY *arrPoints)
virtual Standard_EXPORT | Handle (VrmlData_Node) Clone(const Handle(VrmlData_Node)&theOther) const
virtual Standard_EXPORT VrmlData_ErrorStatus | Read (VrmlData_InBuffer &theBuffer)

## Private Attributes

const gp_XY * | myPoints
size_t | myLength

## Detailed Description

Implementation of the node TextureCoordinate

## Constructor & Destructor Documentation

VrmlData_TextureCoordinate::VrmlData_TextureCoordinate | ( |  | ) | `[inline]`

| Empty constructor

VrmlData_TextureCoordinate::VrmlData_TextureCoordinate | ( | const VrmlData_Scene & | theScene,
|  | const char * | theName,
|  | const size_t | nPoints = `0`,
|  | const gp_XY * | arrPoints = `0L`
| ) | `[inline]`

| Constructor

## Member Function Documentation

Standard_EXPORT Standard_Boolean VrmlData_TextureCoordinate::AllocateValues | ( | const Standard_Size | theLength | ) |

Create a data array and assign the field myArray.

Returns:
  True if allocation was successful.

virtual Standard_EXPORT VrmlData_TextureCoordinate::Handle | ( | VrmlData_Node |  | ) | const`[virtual]`

| Create a copy of this node. If the parameter is null, a new copied node is created. Otherwise new node is not created, but rather the given one is modified. Reimplemented from VrmlData_Node.

size_t VrmlData_TextureCoordinate::Length | ( |  | ) | `[inline]`

| Query the number of points

const gp_XY* VrmlData_TextureCoordinate::Points | ( |  | ) | `[inline]`

| Query the points

virtual Standard_EXPORT VrmlData_ErrorStatus VrmlData_TextureCoordinate::Read | ( | VrmlData_InBuffer & | theBuffer | ) | `[virtual]`

| Read the Node from input stream. Implements VrmlData_Node.

void VrmlData_TextureCoordinate::SetPoints | ( | const size_t | nPoints,
|  | const gp_XY * | arrPoints
| ) | `[inline]`

| Set the points array

## Field Documentation

size_t VrmlData_TextureCoordinate::myLength `[private]`

const gp_XY* VrmlData_TextureCoordinate::myPoints `[private]`

The documentation for this class was generated from the following file:

- VrmlData_TextureCoordinate.hxx